<?php
namespace Incoviba\Service\Contabilidad\Informe\Tesoreria\Output\Data;

class Cuenta
{
    public string $banco;
    public string $numero;
    public int $anterior = 0;
    public int $actual = 0;
    public int $ffmm = 0;
    public int $deposito = 0;

    public function diferencia(): int
    {
        return $this->actual - $this->anterior;
    }
    public function saldo(): int
    {
        return $this->diferencia() + $this->ffmm + $this->deposito;
    }
}
